#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int n;
    cin >> n;
    int ossz =0;
    vector<int> a;
    vector<int> b;
    vector<int> d;
    map<int,int> c;
    int k=0;
    int g;
    int x = 2*n-k;
    int y = 1+k;
    for(int i=0;i<n/2;i++){
        a.push_back(x);
        a.push_back(y);
        x = y;
        k++;
        y = 2*n-k;
        a.push_back(x);
        a.push_back(y);
        x = 2*n-k;
        y = 1+k;
    }
    x--;
    for(int i=0;i<n/2;i++){
        b.push_back(x);
        b.push_back(y);
        x = y;
        k++;
        y = (2*n-k)-1;
        b.push_back(x);
        b.push_back(y);
        x = (2*n-k)-1;
        y = 1+k;
    }
    d.push_back(a[a.size()-1]);
    a.pop_back();
    for(int i=0;i<a.size();i++){
        c[a[i]]++;
        if(c[a[i]] == 1){
            cout << a[i] << ' ';
        }
    }
    cout << endl;
    for(int i=0;i<b.size();i++){
        d.push_back(b[i]);
    }
    d.pop_back();
    for(int i=0;i<d.size();i++){
        c[d[i]]++;
        if(c[d[i]] == 1){
            cout << d[i] << ' ';
        }
    }
    cout << endl;
    return 0;
}